List
curl --request GET \
--url https://api.paygentic.io/v0/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "plan_t9u0v1w2x3y4z5a6",
"object": "plan",
"billingCadence": "P1M",
"billingInterval": "monthly",
"createdAt": "2024-01-12T10:00:00Z",
"currency": "USD",
"defaultTaxCode": "eservice",
"defaultTaxRate": 8.5,
"description": "Claude API access with 500K tokens monthly allowance",
"invoiceDisplayName": "LLM API Basic Plan",
"merchantId": "org_b7c8d9e0f1g2h3i4",
"name": "Basic Tier",
"prices": [
{
"id": "price_r3s4t5u6v7w8x9y0",
"object": "price",
"billableMetricId": "bm_y1z2a3b4c5d6e7f8",
"createdAt": "2024-01-12T10:00:00Z",
"invoiceDisplayName": "Token Usage",
"model": "standard",
"paymentTerm": "instant",
"updatedAt": "2024-01-12T10:00:00Z"
}
],
"productId": "prod_j5k6l7m8n9o0p1q2",
"taxBehavior": "exclusive",
"updatedAt": "2024-01-12T10:00:00Z"
},
{
"id": "plan_z1a2b3c4d5e6f7g8",
"object": "plan",
"billingCadence": "P1M",
"billingInterval": "monthly",
"createdAt": "2024-02-15T12:30:00Z",
"currency": "USD",
"defaultTaxCode": "eservice",
"defaultTaxRate": 10,
"description": "Unlimited cloud storage plus real-time analytics tools",
"invoiceDisplayName": "Data Warehouse Business",
"merchantId": "org_h9i0j1k2l3m4n5o6",
"name": "Business Package",
"prices": [
{
"id": "price_x5y6z7a8b9c0d1e2",
"object": "price",
"billableMetricId": "bm_a1b2c3d4e5f6g7h8",
"createdAt": "2024-02-15T12:30:00Z",
"invoiceDisplayName": "Storage Usage",
"model": "volume",
"paymentTerm": "in_arrears",
"updatedAt": "2024-02-20T10:15:00Z"
}
],
"productId": "prod_p7q8r9s0t1u2v3w4",
"taxBehavior": "exclusive",
"updatedAt": "2024-02-20T10:15:00Z"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 2
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Plans
List
GET
/
v0
/
plans
List
Authorizations
API key authentication
Query Parameters
Number of plans to return
Required range:
1 <= x <= 100Filter plans by merchant organization ID Unique identifier for an organization
Pattern:
^org_[a-zA-Z0-9]+$Number of plans to skip
Required range:
x >= 0Filter plans by product ID Unique identifier for a product
Pattern:
^prod_[a-zA-Z0-9]+$Was this page helpful?
⌘I